Bug 114230 - Previous Labels are not removed from maildir messages
Previous Labels are not removed from maildir messages
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-24 15:36 EST by Rick Johnson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 10:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Johnson 2004-01-24 15:36:05 EST
Description of problem:
When using Maildir, message labels in Mozilla are applied 
cumulatively and alphabetically, breaking a mail client's ability to 
change labels.

Version-Release number of selected component (if applicable):
dovecot-0.99.10.4-1 and Mozilla 1.6

How reproducible:
Always

Steps to Reproduce:
1. Setup Dovecot using Maildir
2. Place a message within a folder.
2. Take a message and add a label, i.e. 5 (Later in Mozilla)
3. Change it to a lower label, i.e. 3 (Personal in Mozilla)
4. Now attempt to change label back to 5, or attempt to remove label.
  
Actual results:
Label flags are added cumulatively and alphabetically to the end of 
the maildir file instead of being removed and/or replaced. Step 2 
works fine. Step 3 works fine. However, in step 4, the 
previous "lower" label applies, regardless of whether you attempt to 
remove or replace with a higher label. Applying all labels regardless 
of order results "abcdf" at the end of the maildir message filename.

Expected results:
Previous label removed and if applicable, new label applied.

Additional info:
Test with Mozilla 1.6 Linux or Windows, or Thunderbird 0.4 or a 
Thunderbird nightly Windows or Linux. Reproducable on Dovecot 
0.99.10.4-1 and 0.99.10-6 under Red Hat 9 or Fedora. Evolution seems 
to be able to reset flags, only upon exit. Not sure if this is a 
Mozilla Mail or a Dovecot problem. Problem didn't seem to exist when 
using mbox format, only after transition to Maildir.
Comment 1 Jeremy Katz 2004-01-24 22:32:15 EST
This sounds like a mozilla bug (evolution only commits flag changes
when you expunge a folder or close it, eg on exit or when going offline).
Comment 2 Christopher Blizzard 2004-02-12 14:02:52 EST
Sounds like an upstream bug to me.
Comment 3 Matěj Cepl 2007-02-09 10:27:10 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.